View Issue Details

IDProjectCategoryView StatusLast Update
0027815FPCFCLpublic2015-04-12 19:34
ReporterSerguei TarassovAssigned ToJonas Maebe 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionwon't fix 
PlatformAllOSOS Version
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0027815: FGL extension for FPC 2.6.4
DescriptionAs FPC 2.6.4 does not include generic tree implementation (there are some limitation of compiler), I use my own named FGLExt for differents purposes.

If you're need to include it to current distribution, here is 2 files attached:

fglext.pas - implements TFPGTree, TFPGTreeNode and TFPGStack classes
fglexttest.pas - some unit tests for it and use cases.

As I know, FPC 2.x will be more generic-developed so the more usable implementation of tree may be done.
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget
Attached Files

Activities

Serguei Tarassov

2015-04-09 11:11

reporter  

FGLExt.zip (3,722 bytes)

Serguei Tarassov

2015-04-09 11:15

reporter   ~0082740

Related thread on forum
http://forum.lazarus.freepascal.org/index.php/topic,27669.0.html

Juha Manninen

2015-04-09 16:15

reporter   ~0082754

> As I know, FPC 2.x will be more generic-developed so the more usable implementation of tree may be done.

FPC 2.x is not developed any more, FPC 3.0 release branch has been forked a long time ago.
You opened this report for Lazarus although it has nothing to do with Lazarus.
You really must learn the difference between FPC project and Lazarus project and the latest development happening in those 2.
For example FPC now has many generics libraries.
fpc-pascal mailing list is the best place to ask such questions.

Serguei Tarassov

2015-04-10 10:41

reporter   ~0082772

Juha,

This tracker is called "freepascal" and not "lazarus".

Generics are the part of FCL (and RTL), so I set this flag. If you consider "FCL" inappropriate, please, change it instead of closing the issue.

If you know generic tree implementation in 1.2 or other release version please let me some link to documentation or source code.

AFAIK, FGL does not contain it and FCL-STL too.

Please be more constructive and tolerant in discussion.

Zeljan Rikalo

2015-04-10 11:16

reporter   ~0082774

@s_tarrasov: yes, weblink is freepascal, but Project name is Lazarus, also FCL isn't part of lazarus project. So Juha is correct, this issue is assigned to the wrong project. It should be fpc -> FCL.

Juha Manninen

2015-04-10 11:23

reporter   ~0082776

Ask questions in mailing list. Bug tracker is not a place for questions.

Jonas Maebe

2015-04-12 19:34

manager   ~0082851

FPC 2.6.x is end-of-life and no longer updated. There won't a future 2.6.x release anymore either.

Issue History

Date Modified Username Field Change
2015-04-09 11:11 Serguei Tarassov New Issue
2015-04-09 11:11 Serguei Tarassov File Added: FGLExt.zip
2015-04-09 11:15 Serguei Tarassov Note Added: 0082740
2015-04-09 16:15 Juha Manninen LazTarget => -
2015-04-09 16:15 Juha Manninen Note Added: 0082754
2015-04-09 16:15 Juha Manninen Status new => resolved
2015-04-09 16:15 Juha Manninen Resolution open => no change required
2015-04-09 16:15 Juha Manninen Assigned To => Juha Manninen
2015-04-10 10:41 Serguei Tarassov Note Added: 0082772
2015-04-10 10:41 Serguei Tarassov Status resolved => assigned
2015-04-10 10:41 Serguei Tarassov Resolution no change required => reopened
2015-04-10 11:16 Zeljan Rikalo Note Added: 0082774
2015-04-10 11:23 Juha Manninen Note Added: 0082776
2015-04-10 11:23 Juha Manninen Assigned To Juha Manninen =>
2015-04-10 11:23 Juha Manninen Status assigned => new
2015-04-10 11:23 Juha Manninen Project Lazarus => FPC
2015-04-12 19:34 Jonas Maebe Note Added: 0082851
2015-04-12 19:34 Jonas Maebe Status new => resolved
2015-04-12 19:34 Jonas Maebe Resolution reopened => won't fix
2015-04-12 19:34 Jonas Maebe Assigned To => Jonas Maebe